commit:     2bb2ae929dfa2d29133d3d49d061bf252bf3508e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  1 07:04:50 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  1 10:09:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bb2ae92

dev-python/fsspec: Bump to 0.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fsspec/Manifest            |  1 +
 dev-python/fsspec/fsspec-0.8.0.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 2152590cb12..f348eb42332 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
 DIST filesystem_spec-0.7.4.tar.gz 222128 BLAKE2B 
b111b8194e2c31065a26dcd952aaadf0bc39bf75e94b10f79a387dc1b66838de820bcdcd90af60533dbbd33cfcc275470ccd82b98d0c82154f0633efab355187
 SHA512 
086e7e7905ff4a55b7027d2b005fd875200bf40469ea4b36effb9805a3416145ba4c709c4a6c8a3ac24a033cbd2104e7ebe401e2610db6c2d8548a63587b343a
+DIST filesystem_spec-0.8.0.tar.gz 235922 BLAKE2B 
5ca1ce8fe3932ace39f3623217b0918cc7f24c07e86357fd4d3d56630010c37c33e94f0419f5fd6bb86292751ccc93efae305ad3c86c4f94a54b0ae360c9a07d
 SHA512 
55513650f1795657ce274478d4360f2cfc3d2bbd8114df7a458fb3a20277b1594e48b5be38e26154a3af525a169f1e4b3d3c0e387bf3889b78350bacf12cc02b

diff --git a/dev-python/fsspec/fsspec-0.8.0.ebuild 
b/dev-python/fsspec/fsspec-0.8.0.ebuild
new file mode 100644
index 00000000000..32a13842c16
--- /dev/null
+++ b/dev-python/fsspec/fsspec-0.8.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/intake/filesystem_spec/
+       https://pypi.org/project/fsspec/";
+SRC_URI="
+       https://github.com/intake/filesystem_spec/archive/${PV}.tar.gz
+               -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+       dev-python/versioneer[${PYTHON_USEDEP}]
+       test? (
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )"
+
+distutils_enable_tests pytest
+
+src_test() {
+       git config --global user.email "[email protected]" || die
+       git config --global user.name "Your Name" || die
+       distutils-r1_src_test
+}

Reply via email to